System.Gadget.onSettingsClosing = settingsClosing;

//Save the settings
function settingsClosing(event) 
{
	if (event.closeAction == event.Action.commit) 
	{
		System.Gadget.Settings.write("amazonlocation", document.getElementById("amazonlocation").value);
		System.Gadget.Settings.write("ebaylocation", document.getElementById("ebaylocation").value);
	}
	
	event.cancel = false;
}


//Initialise form
function init() 
{
	Select_Value_Set("amazonlocation", System.Gadget.Settings.read("amazonlocation"));
	Select_Value_Set("ebaylocation", System.Gadget.Settings.read("ebaylocation"));
	
	showUpdate();
	showTopGadgets();
}


function Select_Value_Set(SelectName, Value) 
{
	eval("SelectObject = document.getElementById('" + SelectName + "')");
	for(index = 0; index < SelectObject.length; index++) 
	{
		if(SelectObject[index].value == Value)
			SelectObject.selectedIndex = index;
	}
}


function getURL(a)
{
	try
	{
		var xmlReq=new ActiveXObject("Microsoft.XMLHTTP");
		xmlReq.open("GET",a,false);
		xmlReq.setRequestHeader("If-Modified-Since", "Sat, 1 Jan 2000 00:00:00 GMT");
		xmlReq.send();
		
		if(xmlReq.status==200)
			return xmlReq.responseText;
		else
			return false;
		
	}
	catch(urlData)
	{
		return false;
	}
}


function updateAvailable()
{
	var urlData=getURL("http://www.uniquewg.com/Versions/searchallversion.htm");
	
	if(urlData===false)
		return false;
	
	var version="2.1";
	var a=parseFloat(version);
	var b=parseFloat(urlData);
	return b>a;
}

function showUpdate()
{
	if(updateAvailable())
	{
		document.getElementById("update").style.display="block";
		document.getElementById("noUpdate").style.display="none";
		
		document.getElementById("updateBox").style.backgroundColor = '#ffb2b2';
		document.getElementById("updateBox").style.border = "1px solid #cc0000";
	}
	else
	{
		document.getElementById("noUpdate").style.display="block";
		document.getElementById("update").style.display="none";
		
		document.getElementById("updateBox").style.backgroundColor = '#bfffb2';
		document.getElementById("updateBox").style.border = "1px solid #158000";
	}
}

function showTopGadgets()
{
	var urlData=getURL("http://www.uniquewg.com/Versions/topgadgets.htm");
	
	if(urlData===false)
		return false;
	
	document.getElementById("topGadgets").innerHTML = urlData;
}
